package fr.univ.context.data.entity;

import android.content.ContentValues;
import fr.univ.context.data.table.FocusApplicationTable;

/**
 * @Entity
 * @Table (name = "focus_application")*/

public class FocusApplication extends RunningApplication {
	
	/**
	 * @Column (name = "description")*/
	private String description;

	
	public FocusApplication( String appName, String processName, String description,
			String completeDate ) {
		
		super(appName, processName, completeDate);
		this.description = description;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	@Override
	/**
	 * Get ContentValues
	 * @return Object ContentValues with the values of this entity.*/
	public ContentValues getContentValues() {
		
		ContentValues cv = new ContentValues();
		
		cv.put(FocusApplicationTable.COLUMNS[1] , getAppName());
		cv.put(FocusApplicationTable.COLUMNS[2] , getProcessName());
		cv.put(FocusApplicationTable.COLUMNS[3] , getDescription());
		cv.put(FocusApplicationTable.COLUMNS[4] , getCompleteDate());
		
		return cv;
	}
}
