package fr.univ.context.data.entity;

import android.content.ContentValues;
import fr.univ.context.data.handler.EntityBase;
import fr.univ.context.data.table.MemoryTable;

/**
 * @Entity
 * @Table (name = "memory")*/

public class Memory extends EntityBase {
	
	/**
	 * @Column (name = "av_internal")
	 * Android Phone's Internal Memory Size */
	private String avInternalMemorySize;
	
	/**
	 * @Column (name = "av_external") 
	 * Android Phone's External Memory Size */
	private String avExternalMemorySize;
	
	/**
	 * @Column (name = "av_ram") 
	 * Android Phone's Ram Memory Size */
	private String avRamMemory;

	
	public Memory(String avInternalMemorySize, String  avExternalMemorySize, 
						String avRamMemory, String completeDate){
		super(completeDate);
		this.avInternalMemorySize = avInternalMemorySize;
		this.avExternalMemorySize = avExternalMemorySize;
		this.avRamMemory = avRamMemory;
	}

	public String getAvInternalMemorySize() {
		return avInternalMemorySize;
	}

	public void setAvInternalMemorySize(String avInternalMemorySize) {
		this.avInternalMemorySize = avInternalMemorySize;
	}

	public String getAvExternalMemorySize() {
		return avExternalMemorySize;
	}

	public void setAvExternalMemorySize(String avExternalMemorySize) {
		this.avExternalMemorySize = avExternalMemorySize;
	}

	public String getAvRamMemory() {
		return avRamMemory;
	}

	public void setAvRamMemory(String avRamMemory) {
		this.avRamMemory = avRamMemory;
	}

	@Override
	/**
	 * Get ContentValues
	 * @return Object ContentValues with the values of this entity.*/
	public ContentValues getContentValues() {
		
		ContentValues cv = new ContentValues();
		
		cv.put(MemoryTable.COLUMNS[1], getAvInternalMemorySize());
		cv.put(MemoryTable.COLUMNS[2], getAvExternalMemorySize());
		cv.put(MemoryTable.COLUMNS[3], getAvRamMemory());
		cv.put(MemoryTable.COLUMNS[4], getCompleteDate());
		
		return cv;
	}
}
