package fr.univ.context.data.handler;

import android.content.ContentValues;
import android.provider.BaseColumns;

/*
 * A base class for all persistent entities.
 **/
public abstract class EntityBase implements BaseColumns {
	
	/**
	 * Date capture
	 * @Column (name = "date")*/
	private String completeDate;
	
	/**
	* The entity id.*/
	private long _id;
	
	public EntityBase( String completeDate ){
		this.completeDate = completeDate;
	}
	
	/**
	 * Get the entity id.
	 * @return the entity id.*/
	public long getID(){
		return _id;
	}
	
	/**
	 * Set the entity id.
	 * @param id the entity id.*/
	public void setID(long id){
		this._id = id;
	}
	
	/**
	 * Get the complete date
	 * @return complete date*/
	public String getCompleteDate() {
		return completeDate;
	}

	/**
	 * Set the complete date
	 * @param complete date*/
	public void setCompleteDate(String completeDate) {
		this.completeDate = completeDate;
	}
	
	/**
	 * Get ContentValues
	 * @return Object ContentValues with the values of this entity.*/
	public abstract ContentValues getContentValues();
}