package fr.univ.context.data.table;

import fr.univ.context.data.handler.AbstractInfoTable;
import android.content.Context;

public class FocusApplicationTable extends AbstractInfoTable {
	
	// Set table name
	private static final String TABLE_NAME = "focus_application";
	
	// Database creation sql statement
	private static final String SCRIPT_CREATE_TABLE = 
			"create table if not exists " + TABLE_NAME +
			" ( _id integer primary key autoincrement, " +
			"app_name text not null, " +
			"process_name text not null, " +
			"description text, " +
			"date text not null); ";
	
	// Set Table Columns
	public static final String[] COLUMNS = 
			new String[] {	"_id",
							"app_name",
							"process_name",
							"description",
							"date"};

	public FocusApplicationTable(Context context) {
		
		super(context, TABLE_NAME, SCRIPT_CREATE_TABLE, COLUMNS);
	}
}
