package fr.univ.context.data.table;

import android.content.Context;
import fr.univ.context.data.handler.AbstractInfoTable;

public class MemoryTable extends AbstractInfoTable {

	// Set table name
	private static final String TABLE_NAME = "memory";
	
	// Database creation sql statement
	private static final String SCRIPT_CREATE_TABLE = 
			"create table if not exists " + TABLE_NAME +
			" ( _id integer primary key autoincrement, " +
			"av_internal text not null, " +
			"av_external text , " +
			"av_ram text not null," +
			"date text not null);";
	
	// Set Table Columns
	public static final String[] COLUMNS = 
			new String[] {	"_id",
							"av_internal",
							"av_external",
							"av_ram",
							"date"};

	public MemoryTable(Context context) {
		
		super(context, TABLE_NAME, SCRIPT_CREATE_TABLE, COLUMNS);
		
	}
}
