package fr.univ.context.data.table;

import android.content.Context;
import fr.univ.context.data.handler.AbstractInfoTable;

public class PositionTable extends AbstractInfoTable {
	
	// Set table name
	private static final String TABLE_NAME = "position";
	
	// Database creation sql statement
	private static final String SCRIPT_CREATE_TABLE = 
			"create table if not exists " + TABLE_NAME +
			" ( _id integer primary key autoincrement, " +
			"latitude double not null, " +
			"longitude double not null, " +
			"address text, " +
			"date text not null);";
	
	// Set Table Columns
	public static final String[] COLUMNS = 
			new String[] {	"_id",
							"latitude",
							"longitude",
							"address",
							"date"};	

	public PositionTable(Context context) {
		
		super(context, TABLE_NAME, SCRIPT_CREATE_TABLE, COLUMNS);
	}
}
