package fr.univ.context.data.table;

import android.content.Context;
import fr.univ.context.data.handler.AbstractInfoTable;

public class RunningApplicationTable extends AbstractInfoTable {

	// Set table name
	private static final String TABLE_NAME = "exec_applications";
	
	// Database creation sql statement
	private static final String SCRIPT_CREATE_TABLE = 
			"create table if not exists " + TABLE_NAME +
			" ( _id integer primary key autoincrement, " +
			"app_name text not null, " +
			"process_name text not null, " +
			"date text not null);";
	
	// Set Table Columns
	public static final String[] COLUMNS = 
			new String[] {	"_id",
							"app_name",
							"process_name",
							"date"};

	public RunningApplicationTable(Context context) {
		
		super(context, TABLE_NAME, SCRIPT_CREATE_TABLE, COLUMNS);
	}
}
